Summary:	VDPAU driver for VAAPI
Summary(pl.UTF-8):	Sterownik VDPAU dla VAAPI
Name:		libva-driver-vdpau
Version:	0.7.4
Release:	5
License:	GPL v2+
Group:		Libraries
Source0:	http://www.freedesktop.org/software/vaapi/releases/libva-vdpau-driver/libva-vdpau-driver-%{version}.tar.bz2
# Source0-md5:	5ec6d452d2dd307434ea3d32da49c3e5
Patch0:		%{name}-with-GL_GLEXT_VERSION-85.patch
Patch1:		%{name}-am.patch
Patch2:		%{name}-drop-h264-api.patch
Patch3:		libva-vdpau-driver-0.7.4-fix_type.patch
Patch4:		implement-vaquerysurfaceattributes.patch
Patch5:		fallback-x.patch
Patch6:		GL-version-1_3.patch
Patch7:		sigfpe-crash.patch
URL:		http://www.freedesktop.org/wiki/Software/vaapi
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libva-devel
BuildRequires:	libva-glx-devel >= 1.0.9
BuildRequires:	libva-x11-devel >= 1.0.3
BuildRequires:	libvdpau-devel
BuildRequires:	pkgconfig
# more specific than libva package version
BuildRequires:	pkgconfig(libva-x11) >= 0.31.0
BuildRequires:	pkgconfig(libva-glx) >= 0.32.0
Requires:	libva >= 1.0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A VDPAU-based backend for VA API.

%description -l pl.UTF-8
Sterownik oparty na VDPAU dla VAAPI.

%prep
%setup -q -n libva-vdpau-driver-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-glx \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libva/dri/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libva/dri/vdpau_drv_video.so
# symlinks
%attr(755,root,root) %{_libdir}/libva/dri/nvidia_drv_video.so
%attr(755,root,root) %{_libdir}/libva/dri/s3g_drv_video.so
%changelog
* Mon Nov 05 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libva-driver-vdpau.git;a=log;h=master

* Mon Nov 05 2018 Lukasz Glebicki <blekot@pld-linux.org> f68a54a
- added changed libva-driver-vdpau.spec

* Mon Nov 05 2018 Lukasz Glebicki <blekot@pld-linux.org> 873337e
- patches from
https://github.com/saiarcot895/chromium-ubuntu-build/issues/13 to have
working GpuVideoDecoder on Chromium Browser

* Thu Nov 01 2018 Lukasz Glebicki <blekot@pld-linux.org> 86e6b31
- rebuild agains libva

* Mon Jan 19 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e5e4579
- rel 3; fix from fc

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> b3208d5
- disable h.264 api (fixes build, patch from fedora)
- rel 2

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 70475d7
- versioned libva install time dependency

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 9b0cf89
- adjusted libva BRs for new package split

* Sun Feb 17 2013 Jakub Bogusz <qboosh@pld-linux.org> a797136
- added am patch (fixes build with automake 1.13)
- versioned libva dependencies

* Sun Feb 17 2013 Karol Krenski <charles@pld-linux.org> 2a6c61b
- added -with-GL_GLEXT_VERSION-85.patch

* Sat Feb 16 2013 Karol Krenski <charles@pld-linux.org> 77a5d8c
- updated to 0.7.4

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> b0afbca
- updated to 0.7.3

* Mon Nov 01 2010 Karol Krenski <charles@pld-linux.org> 66e3657
- full ac/am/lt rebuild (fixed: C++ preprocessor "/lib/cpp" fails sanity check)

* Mon Nov 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 27bd367
- dropped bogus drivers-path option

* Mon Nov 01 2010 Jakub Bogusz <qboosh@pld-linux.org> f5152de
- pl
- updated to 0.7.1 (0.7.2 is broken)

* Sun Jun 20 2010 arvenil <arvenil@pld-linux.org> 733098c
- up to 0.6.9

* Fri Nov 20 2009 zbyniu <zbyniu@pld-linux.org> 5b0cf62
- path fixed, BR: pkgconfig

* Fri Nov 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d75b67
- initial

